=== debian/changelog ===
qtmir (0.8.0~git20230115.30c2337-3) unstable; urgency=medium

  * debian/.install: Spesify that we only want xwayland desktop & icon
    file in qml-module-qtmir (closes: #1029291)

 -- Marius Gripsgard <marius@ubports.com>  Sun, 22 Jan 2023 05:54:37 +0000

qtmir (0.8.0~git20230115.30c2337-2) unstable; urgency=medium

  * debian/control: Drop mir-pref-framework from qtmir-tests (closes: #1029015)

 -- Marius Gripsgard <marius@ubports.com>  Tue, 17 Jan 2023 22:18:34 +0000

qtmir (0.8.0~git20230115.30c2337-1) unstable; urgency=medium

  * New git snapshot (0.8.0~git20230115.30c2337)
  * debian/*.symbols: Refresh symbols using pkgkde
  * debian/patches: Refresh patch to match new git snapshot
  * debian/copyright: Refresh copyright to match new git snapshot
  * debian/.install: Install x11 desktop file and icon

 -- Marius Gripsgard <marius@ubports.com>  Sun, 15 Jan 2023 20:23:41 +0100

qtmir (0.8.0~git20230109.671f617-3) unstable; urgency=medium

  * Now!!! Really re-upload as is to unstable.

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 13 Jan 2023 16:45:56 +0100

qtmir (0.8.0~git20230109.671f617-2) experimental; urgency=medium

  * Re-upload as is to unstable.

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 13 Jan 2023 13:23:18 +0100

qtmir (0.8.0~git20230109.671f617-1) experimental; urgency=medium

  * Upload to experimental.

  [ Marius Gripsgard ]
  * New git snapshot (based on ubports/focal_-_mir2 branch)
  * debian/*:
    + Bump libqtmirserver soname version to 2
  * debian/control:
    + Bump mir requirement to 2.11 and add miroil-dev as B-D.
  * debian/rules:
    + Build with MIR2 option enabled.
  * debian/watch:
    + Update watch to pull git branch.
  * debian/copyright:
    + Refresh copyright to match new git snapshot
  * debian/*.symbols:
    + Refresh symbols using pkgkde.

  [ Mike Gabriel ]
  * debian/copyright:
    + Update auto-generated copyright.in file.
    + Update attributions for debian/.
  * debian/changelog:
    + Amend white-space issue.

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 10 Jan 2023 08:07:55 +0100

qtmir (0.7.1-3) unstable; urgency=medium

  * [debian/.symbols] Refresh symbols using pkgkde

 -- Marius Gripsgard <marius@ubports.com>  Tue, 03 Jan 2023 10:38:41 +0100

qtmir (0.7.1-2) unstable; urgency=medium

  * debian/rules:
    - Disable valgrind on mipsel due to known issues with valgrind on mipsel

 -- Marius Gripsgard <marius@ubports.com>  Mon, 02 Jan 2023 12:04:30 +0100

qtmir (0.7.1-1) unstable; urgency=medium

  * New upstream release v0.7.1
  * Drop upstreamed patch:
    - 0001_remove-unused-gmock-fixes.patch
  * Refresh libqtmirserver1 symbols using pkgkde
  * Update copyright to match new upstream release v0.7.1

 -- Marius Gripsgard <marius@ubports.com>  Mon, 02 Jan 2023 03:25:08 +0100

qtmir (0.7.0-4) unstable; urgency=medium

  * debian/libqtmirserver1.symbols:
    + Update symbols. (Closes: #1021359).

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 07 Oct 2022 09:20:06 +0200

qtmir (0.7.0-3) unstable; urgency=medium

  * debian/patches:
    + Cherry-picḱ 0001_remove-unused-gmock-fixes.patch. (Closes: #1015133).
  * debian/:
    + Update upstream Git repo URL.
  * debian/control:
    + Bump Standards-Version: to 4.6.1. No changes needed.
  * debian/libqtmirserver1.symbols:
    + Update .symbols for gcc-12 rebuild.
  * debian/copyright:
    + Update copyright attributions for debian/*.

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 05 Oct 2022 21:03:05 +0200
