=== data/CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,3 @@
-
 install(FILES xwayland.qtmir.desktop
 	DESTINATION ${CMAKE_INSTALL_DATADIR}/applications
 )
