=== debian/changelog ===
qtmir (0.8.0~git20230223.bd21224-3) unstable; urgency=medium

  * debian/patches:
    + Add 1003_require-miroil-in-pkgconfig-file.patch. Require miroil in out .pc
      file. Resolved FTBFS in lomiri.

 -- Mike Gabriel <sunweaver@debian.org>  Sun, 26 Feb 2023 22:35:52 +0100

qtmir (0.8.0~git20230223.bd21224-2) unstable; urgency=medium

  * debian/libqtmirserver2.symbols:
    + Update symbols using pkgkde-symbolshelper. (Closes: #1031961).

 -- Mike Gabriel <mike.gabriel@das-netzwerkteam.de>  Sun, 26 Feb 2023 14:57:35 +0100

qtmir (0.8.0~git20230223.bd21224-1) unstable; urgency=medium

  * New upstream Git snapshot.
    - Fix crash when unplugging a USB keyboard device.
    - Fix crash when switching from tty7 to tty1..tty6.
    - Fix scaled buffers crashing (i.e. fix HiDPI support).
  * debian/libqtmirserver2.symbols:
    + Update symbols.
  * debian/patches:
    + Add 1002_maliit-keyboard. Always tag maliit-server as
      mir_windowtype_inputmethod.

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 23 Feb 2023 21:11:10 +0100

qtmir (0.8.0~git20230215.2ba9390-1) unstable; urgency=medium

  * New upstream Git snapshot.
  * debian/control:
    + Add to B-D: libmirwayland-dev.
    + Add version to B-D: libmirwayland-dev (>= 2.12.0+dfsg-3~). Versions before
      don't pull in libwayland-dev.
  * debian/patches:
    + Trivial rebase of 2003_disable-benchmarks.patch.
    + Add 1001_copyright-header-cleanup.patch. Use uniform spelling of
      copyright holders.
  * debian/copyright:
    + Update auto-generated copyright.in file.
    + Update copyright attributions.

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 17 Feb 2023 11:08:00 +0100

qtmir (0.8.0~git20230207.ec35994-1) unstable; urgency=medium

  [ Mike Gabriel ]
  * debian/rules:
    + Don't hard-code architectures with valgrind support. Simply disable
      valgrind if not found in $PATH. (Closes: #1022222).
  * debian/control:
    + Bump to versioned B-D on liblomiri-api-dev (>= 0.2.0).

  [ Marius Gripsgard ]
  * New upstream Git snapshot.
    - Bump lomiri-application-shell API compat level to 28. (Closes: #1030460).

 -- Marius Gripsgard <marius@ubports.com>  Wed, 08 Feb 2023 00:44:49 +0100
