=== debian/control ===
--- 
+++ 
@@ -26,13 +26,14 @@
                libqtdbustest1-dev (>= 0.2),
                liblomiri-app-launch-dev,
                libudev-dev,
-               liblomiri-api-dev (>= 0.1.1),
+               liblomiri-api-dev (>= 0.2.0),
                liblomiri-url-dispatcher-dev,
                libxkbcommon-dev,
                libxrender-dev,
                mir-renderer-gl-dev (>= 2.11.0),
                mirtest-dev (>= 2.11.0),
                libmiroil-dev,
+               libmirwayland-dev (>= 2.12.0+dfsg-3~),
                pkg-config,
                pkg-kde-tools,
 # lttng-gen-ts needs python3, but doesn't depend on it itself: bug 1359147
