=== debian/rules ===
--- 
+++ 
@@ -19,9 +19,11 @@
 	dh_missing --fail-missing
 
 FLAGS := -DWerror=OFF -DWITH_MIR2=on
+
 # Explicitly disable building with Valgrind on architectures without it.
-valgrind_architectures := amd64 arm64 armhf i386 mips64el ppc64el s390x powerpc ppc64 x32
-ifeq ($(filter $(DEB_HOST_ARCH), $(valgrind_architectures)),)
+# If valgrind is available or not gets decided via the valgrind-if-available
+# virtual package.
+ifeq (, $(shell command -v valgrind))
 	FLAGS += -DWITH_VALGRIND=OFF
 endif
