## qtmir 0.8.0~git20230628.b7803c8

=== debian/changelog ===
qtmir (0.8.0~git20230628.b7803c8-1) unstable; urgency=medium

  * New upstream git snapshot
  * debian/watch: Switch to desktop development branch
  * debian/symbols: Disable symbols for now as we are using git snapshots
    (closes: #1037829)
  * debian/control: Use my new debian email

 -- Marius Gripsgard <mariogrip@debian.org>  Thu, 27 Jul 2023 20:53:23 +0200
