=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders:
  Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>,
  Mike Gabriel <sunweaver@debian.org>,
- Marius Gripsgard <marius@ubports.com>,
+ Marius Gripsgard <mariogrip@debian.org>,
 Build-Depends: cmake,
                cmake-extras (>= 1.6~),
                debhelper-compat (= 13),
