## qtmir 0.8.0~git20240131.2f99df3

=== CMakeLists.txt ===
--- 
+++ 
@@ -111,7 +111,7 @@
 endif()
 
 if(WITH_CONTENTHUB)
-pkg_check_modules(CONTENT_HUB libcontent-hub>=0.2 REQUIRED)
+pkg_check_modules(CONTENT_HUB libcontent-hub>=1.0.0 REQUIRED)
 message(STATUS "Bulding with content-hub")
 endif()
