=== src/platforms/CMakeLists.txt ===
add_subdirectory(mirserver)
