=== tests/modules/CMakeLists.txt ===
add_subdirectory(Application)
add_subdirectory(ApplicationManager)
add_subdirectory(General)
add_subdirectory(Session)
add_subdirectory(SharedWakelock)
add_subdirectory(SurfaceManager)
add_subdirectory(WindowManager)
