=== src/platforms/mirserver/CMakeLists.txt ===
--- 
+++ 
@@ -12,6 +12,8 @@
   set(MIROIL_INCLUDE_DIRS ${CMAKE_CURRENT_SOURCE_DIR}/miroil/include)
   add_subdirectory(miroil)
 endif()
+
+add_subdirectory(wayland-generated)
 
 # Hacks for the QPA privates monster.
 pkg_check_modules(FONTCONFIG fontconfig REQUIRED)
@@ -46,6 +48,9 @@
     ${CMAKE_CURRENT_BINARY_DIR} # for tracepoints.h
 )
 
+set(MIRCOMMON_INCLUDE_DIRS /usr/include/mircommon/)
+set(MIRCOMMON_LDFLAGS "-lmircommon")
+
 include_directories(
     SYSTEM
     ${MIRAL_INCLUDE_DIRS}
@@ -54,6 +59,7 @@
     ${MIRRENDERERGLDEV_INCLUDE_DIRS}
     ${MIRSERVER_INCLUDE_DIRS}
     ${MIROIL_INCLUDE_DIRS}
+    ${MIRWAYLAND_INCLUDE_DIRS}
 
     ${URL_DISPATCHER_INCLUDE_DIRS}
     ${EGL_INCLUDE_DIRS}
@@ -104,6 +110,7 @@
     displayconfigurationstorage.cpp
     nativeinterface.cpp
     services.cpp
+    urlbuilderdispatcher.cpp
     windowcontroller.cpp
     workspacecontroller.cpp
     tracepoints.c
@@ -125,6 +132,9 @@
     displayconfigurationpolicy.cpp
     wrappedwindowmanagementpolicy.cpp
  #   mirdisplayconfigurationobserver.cpp
+    wayland-generated/qt-windowmanager_wrapper.cpp
+    wayland-generated/xdg-decoration-unstable-v1_wrapper.cpp
+    wayland-generated/server-decoration_wrapper.cpp
 )
 add_dependencies(qtmirserver-mirserver MirServer_LTTNG)
 
@@ -133,6 +143,7 @@
     ${CMAKE_SOURCE_DIR}/src/common/debughelpers.cpp
     cursor.cpp
     eventbuilder.cpp
+    qtwindowmanager.cpp
     qteventfeeder.cpp
     qmirserver.cpp
     qmirserver_p.cpp
@@ -145,6 +156,9 @@
     mirserverapplication.cpp
     windowmodelnotifier.cpp
 
+    wayland/xdgdecorationV1.cpp
+    wayland/kwinserverdecoration.cpp
+
 # We need to run moc on these headers
     ${APPLICATION_API_INCLUDEDIR}/lomiri/shell/application/MirMousePointerInterface.h
     ${APPLICATION_API_INCLUDEDIR}/lomiri/shell/application/Mir.h
@@ -194,6 +208,11 @@
         ${FONTCONFIG_LDFLAGS}
         ${XKBCOMMON_LIBRARIES}
 
+        ${MIRCOMMON_LDFLAGS}
+        ${MIRWAYLAND_LDFLAGS}
+        ${WAYLAND_CLIENT_LIBRARIES}
+        ${WAYLAND_SERVER_LDFLAGS}
+
         ${CONTENT_HUB_LIBRARIES}
 
         Qt5::DBus
