=== debian/changelog ===
qtmir (0.8.0~git20240131.2f99df3-1build5) noble; urgency=medium

  * No-change rebuild against Qt 5.15.13.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Wed, 03 Apr 2024 10:57:20 +0300

qtmir (0.8.0~git20240131.2f99df3-1build4) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 15:52:07 +1100

qtmir (0.8.0~git20240131.2f99df3-1build3) noble; urgency=medium

  * No-change rebuild against mir t64.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 21 Mar 2024 22:39:45 +0100

qtmir (0.8.0~git20240131.2f99df3-1build2) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 06:51:32 +0000

qtmir (0.8.0~git20240131.2f99df3-1build1) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 08 Mar 2024 06:47:26 +0000

qtmir (0.8.0~git20240131.2f99df3-1) unstable; urgency=medium

  * New git snapshot
  * debian/patches: Drop upstreamed patches
    - 1001_copyright-header-cleanup.patch
    - 1002_maliit-keyboard.patch
    - 1003_require-miroil-in-pkgconfig-file.patch

 -- Marius Gripsgard <mariogrip@debian.org>  Wed, 31 Jan 2024 13:25:09 +0100

qtmir (0.8.0~git20240108.ae0d874-1) unstable; urgency=medium

  [ Marius Gripsgard ]
  * New git snapshot
  * debian/patches:
    + Refresh patches.

  [ Mike Gabriel ]
  * debian/patches:
    + Forward patches needed by upstream.
  * debian/copyright:
    + Update auto-generated copyright.in file.
    + Update copyright attributions.
  * debian/control:
    + Bump Standards-Version: to 4.6.2. No changes needed.
    + Switch from libfontconfig-dev to libfontconfig1-dev.

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 16 Jan 2024 14:11:44 +0100
