=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: qtmir
 Section: libs
 Priority: optional
-Maintainer: Debian UBports Team <team+ubports@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian UBports Team <team+ubports@tracker.debian.org>
 Uploaders:
  Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>,
  Mike Gabriel <sunweaver@debian.org>,
@@ -10,7 +11,7 @@
                cmake-extras (>= 1.6~),
                debhelper-compat (= 13),
                googletest (>= 1.10.0),
-               libfontconfig1-dev,
+               libfontconfig-dev,
                libgles2-mesa-dev,
                libglib2.0-dev,
                libgsettings-qt-dev,
@@ -49,7 +50,7 @@
 # mirtest pkgconfig requires these, but doesn't have a deb dependency. Bug lp:1633537
                libboost-filesystem-dev,
                libboost-system-dev,
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://gitlab.com/ubports/development/core/qtmir
 Vcs-Git: https://salsa.debian.org/ubports-team/qtmir.git
