=== debian/watch ===
version=4
opts="mode=git, pgpmode=none,  pretty=0.8.0~git%cd.%h" \
https://gitlab.com/ubports/development/core/qtmir.git \
heads/personal/mariogrip/desktop-development debian uupdate
