=== debian/changelog ===
qtmir (0.8.0~git20240306.de639c3-1build1) oracular; urgency=medium

  * No-change rebuild against Qt 5.15.15.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Fri, 13 Sep 2024 12:12:08 +0300

qtmir (0.8.0~git20240306.de639c3-1) unstable; urgency=medium

  * New git snapshot.
  * debian/watch:
    + Obtain Git snapshot from upstream branch /personal/sunweaver/debian-
      upstream.

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 08 Mar 2024 08:16:51 +0100
